classification
Title: Upgrade macOS and Windows installers to use SQLite 3.34.0
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, miss-islington, ned.deily, steve.dower
Priority: normal Keywords: patch

Created on 2020-12-07 10:36 by erlendaasland, last changed 2021-01-06 00:31 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
0001-Add-simple-validation-CI.patch erlendaasland, 2021-01-04 09:54
Pull Requests
URL Status Linked Edit
PR 23674 merged erlendaasland, 2020-12-07 10:39
PR 23675 merged erlendaasland, 2020-12-07 10:42
PR 24129 merged erlendaasland, 2021-01-05 22:27
PR 24130 merged erlendaasland, 2021-01-05 22:30
PR 24132 merged steve.dower, 2021-01-05 23:45
PR 24133 merged steve.dower, 2021-01-06 00:11
Messages (15)
msg382625 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-12-07 10:36
SQLite 3.34.0 was released 2020-12-01: https://www.sqlite.org/releaselog/3_34_0.html

Compiles fine on master, and tests are completing without error.
msg382628 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-12-07 11:01
Steve Dower: It should be fairly easy to add a CI check that validates the source checksums, so you don't need to do it manually every time. I can throw up a simple GH workflow for the sqlite branch if you want.
msg383468 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-12-20 23:49
See attached proof-of-concept CI check. This GitHub Workflow extracts the SQLite version information, downloads the amalgamation source code, and does a simple `cmp` on each file.

Example run: https://github.com/erlend-aasland/cpython-source-deps/runs/1586069119?check_suite_focus=true
msg384307 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2021-01-04 04:48
New changeset c94ee13ad596d26d1859078bc09806aa59bb0000 by Erlend Egeberg Aasland in branch 'master':
bpo-42584: Update macOS installer to use SQLite 3.34.0 (GH-23674)
https://github.com/python/cpython/commit/c94ee13ad596d26d1859078bc09806aa59bb0000
msg384329 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-01-04 15:31
Honestly, keeping a CI run alive is more work than just doing the extract and push myself. I know this means it feels like you can't do as much yourself to speed up the integration, but it really isn't going to slow it down that much.

FWIW, any core dev can merge SQLite updates for Windows (if they're satisfied there are no issues). It's only OpenSSL that relies on running a signed build.
msg384351 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-04 21:26
> FWIW, any core dev can merge SQLite updates for Windows (if they're satisfied there are no issues).

A CI check would indicate that there are no issues. The PoC CI is just a short bash script wrapped in GitHub's workflow syntax. I'd be happy to maintain it, FWIW. On the other hand, adding a CI check is not super important for me :)

https://sqlite.org/versionnumbers.html:
"[…] the current tarball naming conventions only reserve two digits for the Y and so the naming format for downloads will need to be revised in about 2030."
msg384435 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-01-05 22:02
New changeset dd74c01d3bd2833f72ffe400a1d10b8583c0ba6a by Erlend Egeberg Aasland in branch 'master':
bpo-42584: Update Windows installer to use SQLite 3.34.0 (GH-23675)
https://github.com/python/cpython/commit/dd74c01d3bd2833f72ffe400a1d10b8583c0ba6a
msg384437 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-05 22:05
Ned Deily, can you fix the macOS backports?
msg384438 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-05 22:37
Steve Dower, do you mind if I create backports for the Windows build as well?
msg384439 - (view) Author: miss-islington (miss-islington) Date: 2021-01-05 22:46
New changeset f27451dc35f1c69be0c26e8aeafee7ba6771039a by Erlend Egeberg Aasland in branch '3.8':
[3.8] bpo-42584: Update macOS installer to use SQLite 3.34.0 (GH-23674). (GH-24129)
https://github.com/python/cpython/commit/f27451dc35f1c69be0c26e8aeafee7ba6771039a
msg384440 - (view) Author: miss-islington (miss-islington) Date: 2021-01-05 22:53
New changeset e9a71dab094c0467f07d13cce4324c8a93727863 by Erlend Egeberg Aasland in branch '3.9':
[3.9] bpo-42584: Update macOS installer to use SQLite 3.34.0 (GH-23674) (GH-24130)
https://github.com/python/cpython/commit/e9a71dab094c0467f07d13cce4324c8a93727863
msg384447 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-01-06 00:07
> Steve Dower, do you mind if I create backports for the Windows build as well?

Sorry, I've been doing it. They're just slow because I'm getting OpenSSL done at the same time and they both keep causing merge conflicts.
msg384449 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-01-06 00:09
New changeset 77d54710506b67e48b50bb1758fb31fc33a33c83 by Steve Dower in branch '3.9':
bpo-42584: Update Windows installer to use SQLite 3.34.0 (GH-23675)
https://github.com/python/cpython/commit/77d54710506b67e48b50bb1758fb31fc33a33c83
msg384450 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-01-06 00:10
> Sorry, I've been doing it. They're just slow because I'm getting OpenSSL done at the same time and they both keep causing merge conflicts.

No problem. I noticed that, so I aborted my cherry-picker.
msg384456 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-01-06 00:31
New changeset db91714faa6d3ede59003cdcc719a758160f3970 by Steve Dower in branch '3.8':
bpo-42584: Update Windows installer to use SQLite 3.34.0 (GH-23675)
https://github.com/python/cpython/commit/db91714faa6d3ede59003cdcc719a758160f3970
History
Date User Action Args
2021-01-06 00:31:40steve.dowersetstatus: open -> closed
stage: patch review -> resolved
2021-01-06 00:31:20steve.dowersetmessages: + msg384456
2021-01-06 00:11:05steve.dowersetpull_requests: + pull_request22963
2021-01-06 00:10:38erlendaaslandsetmessages: + msg384450
2021-01-06 00:09:15steve.dowersetmessages: + msg384449
2021-01-06 00:07:40steve.dowersetmessages: + msg384447
2021-01-05 23:45:41steve.dowersetpull_requests: + pull_request22962
2021-01-05 22:53:12miss-islingtonsetmessages: + msg384440
2021-01-05 22:46:44miss-islingtonsetstatus: pending -> open
nosy: + miss-islington
messages: + msg384439

2021-01-05 22:37:12erlendaaslandsetstatus: open -> pending
resolution: fixed
messages: + msg384438
2021-01-05 22:30:15erlendaaslandsetpull_requests: + pull_request22960
2021-01-05 22:27:57erlendaaslandsetpull_requests: + pull_request22959
2021-01-05 22:05:18erlendaaslandsetmessages: + msg384437
2021-01-05 22:02:13steve.dowersetmessages: + msg384435
2021-01-04 21:26:52erlendaaslandsetmessages: + msg384351
2021-01-04 15:31:07steve.dowersetmessages: + msg384329
2021-01-04 09:54:24erlendaaslandsetfiles: + 0001-Add-simple-validation-CI.patch
2021-01-04 09:54:12erlendaaslandsetfiles: - 0001-Add-simple-validation-CI.patch
2021-01-04 04:48:30ned.deilysetmessages: + msg384307
2020-12-20 23:49:14erlendaaslandsetfiles: + 0001-Add-simple-validation-CI.patch

messages: + msg383468
2020-12-07 11:01:51erlendaaslandsetmessages: + msg382628
2020-12-07 10:44:16erlendaaslandsetnosy: + ned.deily, steve.dower
2020-12-07 10:42:00erlendaaslandsetpull_requests: + pull_request22541
2020-12-07 10:39:14erlendaaslandsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22540
2020-12-07 10:36:22erlendaaslandcreate